body {
  font-family: "Cabin", sans-serif;
  background-color: #eeeeef;
}

/* TOP WRAPPER */

.container {
  width: 1296px;
  margin-left: auto;
  margin-right: auto;
}

.top-wrapper {
  background-color: #10bbd5;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  right: 0;
}

.head-menu {
  display: flex;
  height: 72px;
  align-items: center;
  justify-content: space-between;
}

.total-price {
  display: block;
  margin: 0;
  margin-right: 8px;
  color: #f8fdfe;
  font-size: 16px;
  line-height: 24px;
}

.zero-on-cart {
  display: flex;
  align-items: center;
}

.cart-btn {
  background-image: url(../images/cart.svg);
  width: 40px;
  height: 40px;
  border: none;
  background-color: #10bbd5;
  background-size: cover;
  cursor: pointer;
  padding: 12px 12px 18px 19px;
  color: #000;
  font-size: 12px;
  line-height: 10px;
}

/* SUB TOP WRAPPER */

.sub-top-wrapp {
  background-color: #fff;
  width: 100%;
  top: 72px;
  left: 0;
}

.sub-top-bar {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.name-nav {
  display: block;
  margin: 0;
  color: #000;
  font-size: 16px;
  line-height: 24px;
}

.top-nav-list {
  list-style: none;
  margin: 0;
  padding: 0;
}

.nav-head {
  display: flex;
  justify-content: space-between;
}

.top-nav-list {
  display: flex;
}

.nav-link {
  text-decoration: none;
  color: #000;
  font-size: 16px;
  line-height: 24px;
  margin-right: 40px;
}

.nav-link-1 {
  margin-right: 0;
}

/* MAIN CONTANT */

.main-content {
  padding-top: 104px;
  padding-bottom: 120px;
}

.main-title {
  border-bottom: 1px solid #a8a8a8;
  margin: 0;
  color: #1f1f1f;
  font-size: 32px;
  font-weight: 600;
  line-height: 40px;
  padding-bottom: 24px;
  margin-top: 32px;
}

.product-list {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(3, 1fr);
  margin-top: 24px;
  padding: 0;
  column-gap: 24px;
  row-gap: 32px;
}

.product-card {
  position: relative;
  border: 1px solid #a8a8a8;
  list-style: none;
  padding: 32px;
  width: 306px;
}

.badge-container {
  display: flex;
  flex-wrap: wrap;
  position: absolute;
  gap: 4px;
}

.badge-text {
  background-color: #4200ff;
  border-radius: 4px;
  padding: 4px 8px;
  color: #f8fdfe;
  font-size: 16px;
  line-height: 24px;
  margin-bottom: 6px;
}

.badge-type-new {
  background-color: #af39e7;
}

.badge-type-percent {
  background-color: #ea33c0;
}

.badge-text {
  color: #f8fdfe;
  text-align: center;
  font-size: 16px;
  line-height: 24px;
  margin: 0;
}

.product-card-link {
  display: block;
}

.product-img {
  margin: 0px 32px;
  height: 280px;
  width: 178px;
}

.product-card-title {
  margin-top: 16px;
  margin-bottom: 0;
  border-bottom: 1px solid #a8a8a8;
  overflow: hidden;
  color: #1f1f1f;
  text-overflow: ellipsis;
  white-space: nowrap;
  max-width: 238px;
  font-size: 20px;
  font-weight: 700;
  line-height: 28px;
}

.product-card-title:hover {
  overflow: visible;
  white-space: wrap;
}

.subtitle-card-text {
  overflow: hidden;
  color: #8e8e8e;
  text-overflow: ellipsis;
  font-size: 16px;
  line-height: 24px;
  margin: 0;
}

.card-final-price {
  display: inline-block;
  color: #e90000;
  font-size: 24px;
  font-weight: 500;
  line-height: 32px;
  margin-top: 8px;
  margin-bottom: 0;
  margin-right: 24px;
}

.card-old-price {
  display: inline-block;
  color: #8e8e8e;
  font-size: 24px;
  font-weight: 500;
  line-height: 32px;
  text-decoration-line: line-through;
  margin: 0;
}

.card-btn {
  background-color: #4c394e;
  border-radius: 4px;
  color: #f8fdfe;
  text-align: center;
  font-family: Cabin;
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  border: none;
  width: 242px;
  height: 40px;
  padding: 8px;
  margin-top: 16px;
}

.card-btn:hover {
  background-color: #744978;
}

.green-btn {
  background-color: #4d762d;
}

.green-btn:hover {
  background-color: #6db236;
}

/* CHAT BTN */

.chat-btn {
  position: fixed;
  top: 540px;
  right: 50px;
  background-size: cover;
  border-radius: 50%;
  background-color: #10bbd5;
  border: none;
  width: 64px;
  height: 64px;
  cursor: pointer;
}

.chat-btn:hover {
  transform: rotate(12.05deg);
}

/* FOOTER BAR */

.footer-bar {
  background-color: #4c394e;
  background-size: cover;
}

.foot-wrapp {
  display: flex;
  justify-content: space-between;
  padding: 32px 0px;
}

.copyright {
  display: block;
  margin: 0;
  color: #f8fdfe;
  font-size: 16px;
  line-height: 24px;
}

.rights {
  display: block;
  margin: 0;
  display: block;
  color: #f8fdfe;
  font-size: 16px;
  line-height: 24px;
}
